routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', "IndexController@index");

app/Models/Date.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Date extends Model
{
    protected $fillable = ['date'];

    private $dateTimeObject = null;

    public function getDayAttribute()
    {
        return $this->getDateTimeObject()->format('d');
    }

    public function getMonthAttribute()
    {
        return $this->getDateTimeObject()->format('m');
    }

    public function getYearAttribute()
    {
        return $this->getDateTimeObject()->format('Y');
    }

    /**
     * @return \DateTime|null
     */
    private function getDateTimeObject()
    {
        if (!$this->dateTimeObject) {
            $this->dateTimeObject = (new \DateTime($this->date));
        }

        return $this->dateTimeObject;
    }
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/IndexController.php
<?php

namespace App\Http\Controllers;

use App\Models\Date;
use App\Http\Requests\SearchRequest;
use Illuminate\Http\Request;

class IndexController extends Controller
{
    public function index(SearchRequest $request)
    {

        $id = $request->id??"";

        if($id){
            $data = Date::where('id', $id);            
        }else{

            $data = new Date();
        }
        $dates = $data->get();

        return view('index', ['dates' => $dates,'id'=>$id]);
    }

}

resources/views/index.blade.php
@extends('layouts.layout')
@section('content')
    <table>
        <thead>
        <tr>
            <th>Day</th>
            <th>Month</th>
            <th>Year</th>
        </tr>
        </thead>
        <tbody>
        @foreach($dates as $date)
            <tr>
                <td>{{ $date->day }}</td>
                <td>{{ $date->month }}</td>
                <td>{{ $date->year }}</td>
            </tr>
        @endforeach
        </tbody>
    </table>
    @if (count($errors) > 0)
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif
    <form action="/" method="get" class="search">
        <input class="input" type="number" name="id" placeholder="Enter date id" value="{{ $id }}">
        <button class="submit" type="submit">Search</button>
    </form>
@endsection

resources/views/layouts/layout.blade.php
<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link href="{{asset('css/style.css')}}" rel="stylesheet">
    <title>Dates</title>
</head>
<body>
    @section('content')

    @show
</body>
</html>